<?php

namespace Ardent\Undercurrent\View;

use Ardent\Undercurrent\Http\RouterInterface;

class ViewHelper
{
    public function __construct(
        private readonly RouterInterface $router,
    )
    {
    }

    public function getRoute(string $class, string $method, array $params = []): string
    {
        return $this->router->toUri($class, $method, $params);
    }
}